.\"	$NetBSD: getbootfile.3,v 1.6 2003/06/27 13:58:51 wiz Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Thomas Klausner.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 6, 2001
.Dt GETBOOTFILE 3
.Os
.Sh NAME
.Nm getbootfile
.Nd get the name of the booted kernel file
.Sh LIBRARY
.Lb libutil
.Sh SYNOPSIS
.In util.h
.Ft const char *
.Fn getbootfile void
.Sh DESCRIPTION
.Fn getbootfile
returns a static pointer to the full path name of the file from which
the current kernel was loaded.
If it can not be determined, or the file is not ``secure'' (see
.Xr secure_path 3 ) ,
.Dv _PATH_UNIX
from
.Aq Pa paths.h
is returned instead.
.Sh SEE ALSO
.Xr secure_path 3 ,
.Xr sysctl 3
.Sh HISTORY
The
.Nm
function call appeared in
.Fx 2.0
and
.Nx 1.6 .
